Agents

List published agent versions (Preview)

Preview · Available to selected organizations. Returns an agent's published versions, newest first, without their definitions. Pass nextCursor back as cursor for the next page.

GET
/v1/agents/{id}/versions

Returns an agent's published versions, newest first, without their definitions. Pass nextCursor back as cursor for the next page.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^agt_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string

Response Body

AgentVersionPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.agents.listVersions({  "id": "example"});
Example Response
{  "items": [    {      "agentId": "string",      "version": -9007199254740991,      "publishedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation